<?xml version="1.0" encoding="utf-8"?>
<rougail version="0.10">
  <variables>
    <family name='letsencrypt' description="Défi DNS pour Let's encrypt" leadership="True">
      <variable name="domain_names" type="domainname" description="Nom des domaines" multi="True"/>
      <variable name="plugin_name" type="string" description="Nom du greffon de mise à jour DNS du domaine" mandatory="True"/>
      <variable name="credential_filename" type="filename" description="Nom du fichier de configuration du greffin" mandatory="True"/>
      <variable name="email" type="mail" description="Courriel associé au certificat" mandatory="True"/>
    </family>
  </variables>
  <constraints>
    <check name="letsencrypt_certif">
      <param type="variable">domain_name_eth0</param>
      <param type="variable">plugin_name</param>
      <param type="variable">credential_filename</param>
      <param type="variable">email</param>
      <param type="variable">hide_secret</param>
      <target>domain_names</target>
    </check>
  </constraints>
</rougail>


